<!DOCTYPE html>

{% extends "base.html" %}
{% block main %}
<div class="container">
	<div id="top" class="row">
		<h2 class="jumbotron" style="text-align:center;">{{ title }} : Les meilleurs prix du net, profitez-en ! </h2>
	</div>
	<div class="row">
		<div class="alert alert-warning" role="alert">
			{% if current_user.pseudo == "Pseudo" %}
			<div style="float:right">
				<form method="POST" action="{{ url_for('ajouter_vin_administrateur') }}">
					<input class="btn btn-default" type="submit" value="Ajouter un vin">
				</form>
			</div>
			{% endif %}
			<p>Lancer une recherche par catégorie
				</br>
				{% for c in categories %}
				<a href="{{ url_for('trivins',categorie=c ) }}" class="les-categories"> {{ c }} </a>
				{% endfor %}
				</br>
				<div>
				{% if lacategorie %} <span style="float:left;padding-bottom:5px;"> Catégorie sélectionnée : <b><font color="red">{{ lacategorie }}</font></b></span> {% endif %}
				</br>
		</div>
	</div>
	<div class="row">
	{% for d in donnees %}
	
	<div class="col-sm-6">
	<div class="panel panel-danger">
		<div class="panel-heading">
			<h3 class="panel-title"><span><b>{{d.nom|truncate(31)}}</b></span></br>Categorie : <span class="badge"> {{d.categorie}} </span></h3>
		</div>
		<div class="panel-body">
			<ul style="list-style-type:none;">
				{% if d.image %}
					<div style="float:left;">
						<img src="{{url_for ('static', filename ='images/'+d.image)}}" alt= {{ d.nom }} title={{ d.nom }} class="img-responsive"/>
					</div>
				{% else %}
					<div style="float:left;">
						<img src="{{url_for ('static', filename ='images/default.jpg')}}" alt= {{ d.nom }} title={{ d.nom }} class="img-responsive"/>
					</div>
				{% endif %}
				<div style="float:right; text-align:center;">
					<li>Pays : <b>{{ d.pays }}</b></li>
					<li>Quantite : <b>{{d.quantite}}</b> </li>
					<li>Region : <b>{{d.region}} </b></li>
					{% if d.variete %}
						<li>Variete : <b>{{ d.variete|truncate(12) }}</b>  </li>
					{% else %}
						<li>Variete : <i>Inconnue</i>  </li>
					{% endif %}
					
					{% if d.vintage == None %}
						<li>Annee : <i>Inconnue</i>  </li>
					{% else %}
						<li>Annee : <b> {{d.vintage}} </b> </li>
					{% endif %}
					</br>
					<li>
					{% if current_user.is_authenticated() %}
						<form role="form" method="POST" action="{{ url_for('ajouter_vin', nomVin=d.nom, pseudo=current_user.pseudo ) }}">
						{{ form.quantite(size=10, class_="form-control", placeholder="Quantité") }}
						<input class="btn btn-success" type="submit" value="J'achete ! ">
						</form>
					{% endif %}
					</li>
				</div>
				</ul>
				<div style="clear:both;">
					{% if current_user.pseudo == "Pseudo" %}
						<form method="POST" action="{{ url_for('modifier_vin_administrateur', nomVin=d.nom) }}" style="float:left">
							<input class="btn btn-default" type="submit" value="Modifier ce vin">
						</form>
						<form method="POST" action="{{ url_for('supprimer_vin_administrateur', nomVin=d.nom) }}" style="float:right">
							<input class="btn btn-default" type="submit" value="Supprimer ce vin">
						</form>
					{% endif %}
				</div>
			
	    </div>
		  
	</div>
	</div>

	{% endfor %}
</div>
</div>
<a href="#top" style="position:fixed; top:400px; right:4px;"><span class="glyphicon glyphicon-arrow-up" aria-hidden="true" height="70px"></span></a>
{% endblock %}
